package com.ultraboodog.level.tile;

import com.ultraboodog.graphics.Screen;
import com.ultraboodog.graphics.Sprite;

public class FastTile extends Tile
{
	public FastTile(Sprite sprite)
	{
		super(sprite);
	}
	
	public void render(int x, int y, Screen screen)
	{
		screen.renderTile(x << 4, y << 4, this);
	}
	
	public boolean fast()
	{
		return true;
	}
}
