package com.ultraboodog.entity;

import java.util.Random;

import com.ultraboodog.graphics.Screen;
import com.ultraboodog.level.Level;

public class Entity
{
	public double x, y;
	private boolean removed = false;
	protected Level level;
	protected final Random random = new Random();

	public void update()
	{
	}

	public void render(Screen screen)
	{
	}

	public double getX()
	{
		return x;
	}
	
	public void setX(double x)
	{
		this.x = x;
	}
	
	public double getY()
	{
		return y;
	}
	
	public void setY(double y)
	{
		this.y = y;
	}
	
	public void remove()
	{
		removed = true;
	}
	
	public boolean isRemoved()
	{
		return removed;
	}
	
	public void init(Level level)
	{
		this.level = level;
	}
}
