package com.ultraboodog.entity.spawner;

import com.ultraboodog.entity.particle.Particle;
import com.ultraboodog.level.Level;

public class ParticleSpawner extends Spawner
{
	protected int life;
	
	public ParticleSpawner(int x, int y, int life, int amount, Level level)
	{
		super(x, y, Type.PARTICLE, amount, level);
		this.life = life;
		
		for (int i = 0; i < amount; i++)
		{
			level.add(new Particle(x, y, life));
		}
	}
}
