package com.ultraboodog.level.tile;

import com.ultraboodog.graphics.Screen;
import com.ultraboodog.graphics.Sprite;

public class Tile
{
	public int x, y;
	public Sprite sprite;
	
	public static Tile voidTile = new VoidTile(Sprite.voidSprite);
	public static Tile grass = new BackgroundTile(Sprite.grass);
	public static Tile stone = new SolidTile(Sprite.stone);
	public static Tile sand = new BackgroundTile(Sprite.sand);
	public static Tile sandCoral = new BackgroundTile(Sprite.sandCoral);
	public static Tile orangePlant = new BackgroundTile(Sprite.orangePlant);
	public static Tile sinkHoleExit = new AdvanceTile(Sprite.sinkHoleExit);
	public static Tile shell = new BackgroundTile(Sprite.shell);
	public static Tile slowSand = new SlowTile(Sprite.slowSand);
	public static Tile blueShell = new BackgroundTile(Sprite.blueShell);
	public static Tile fastSand = new FastTile(Sprite.fastSand);
	public static Tile teleportSand = new TeleportTile(Sprite.teleportSand);
	public static Tile sandWater = new SolidTile(Sprite.sandWater);
	public static Tile brightSand = new BackgroundTile(Sprite.brightSand);
	
	public Tile(Sprite sprite)
	{
		this.sprite = sprite;
	}
	
	public void render(int x, int y, Screen screen)
	{
	}
	
	public boolean solid()
	{
		return false;
	}
	
	public boolean teleport()
	{
		return false;
	}
	
	public boolean advance()
	{
		return false;
	}
	
	public boolean slow()
	{
		return false;
	}
	
	public boolean fast()
	{
		return false;
	}
}
